#include <iostream>
using namespace std;


int main(){
	
	int t, n, m, m1;
	bool k=true;
	cin>>t;
	
	for(int e=0; e<t; e++){
		cin>>n>>m;
		m1=m;
		int niz[n];
		for(int i=0; i<m; i++){
			if(m%m1!=0) {
				k=false;
				cout<<m%m1<<endl;
			}
			m1--;
		}
		
		if(k==false) cout<<"-1";
	}
	
	return 0;
}